org.custommonkey.xmlunit.exceptions

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.custommonkey.xmlunit.exceptions.XMLUnitRuntimeException
        - - org.custommonkey.xmlunit.exceptions.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigurationException
    extends XMLUnitRuntimeException

Exception thrown when an XML parser-, transformer- or XPath-factory throws a configuration exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationException(java.lang.String s)`
`ConfigurationException(java.lang.Throwable t)`

### Method Summary

### Methods inherited from class org.custommonkey.xmlunit.exceptions.XMLUnitRuntimeException

`getCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationException

    public ConfigurationException(java.lang.Throwable t)

#### ConfigurationException

    public ConfigurationException(java.lang.String s)